/* Forms
 *------------------------------------------------------------*/

.placeholder(@color){
	&::-webkit-input-placeholder { color: @color; opacity: 1; }
	&:-moz-placeholder           { color: @color; opacity: 1; }
	&::-moz-placeholder          { color: @color; opacity: 1; }
	&:-ms-input-placeholder      { color: @color; opacity: 1; }
}

form {
	.clearfix;

	label {
		display: block;
		.label;
		color: @black;
	}

	input[type="radio"],
	input[type="checkbox"] {
		& + label {
			display: inline-block;
		}
	}
}

fieldset {
	margin: 0 0 1.7em;
	padding: 0;
	border: none;
}

legend {
	.description-heading;
	margin-bottom: 1.7em;
}

input[type="text"],
input[type="textfield"],
input[type="search"],
input[type="email"],
input[type="password"],
input[type="date"],
input[type="tel"],
input[type="url"],
textarea,
select {
	border: none;
	border-bottom: 3px solid @grey-pale;
	width: 100%;
	padding: 0;
	font-family: @typo_body_font;
	font-weight: @typo_body_weight;
	font-size: unit(@typo_body_size, px);
	line-height: initial !important;
	text-transform: none !important;
	.transition;
	color: @black;
	height: 45px;
	margin-bottom: 1.7em;
	background: none;

	.grey-mode & {
		border-bottom-color: @grey-label;
	}

	.dark-mode & {
		border-bottom-color: @dark-border;
		color: @grey-light;
	}

	&:focus {
		outline: none;
		border-color: @black;

		.dark-mode & {
			border-color: @white;
		}
	}

	&.error,
	&.wpcf7-not-valid {
		border-color: @error-color !important;

		& + .wpcf7-not-valid-tip {
			display: none;
		}
	}
}

input,
textarea {
	.placeholder( @grey-label; );
}

textarea {
	padding: 1em 0;
	min-height: 80px;
	height: auto;
}

input[type="radio"],
input[type="checkbox"] {
	.small;
	vertical-align: middle;
	margin: 0 0.5em;
}

input,
button {
	&[type="submit"],
	&[type="button"] {
		outline: none;
		border: none;
		.rounded;
		.button;
		margin-bottom: 1.2em;
		cursor: pointer;

		@media @tablet, @desktop {
			clear: both;
			// float: right;

			.sidebar--right & {
				float: left;
			}
		}

		@media @desktop{
			.transition;
		}
	}
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus
input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
	-webkit-box-shadow: inset 0 0 0px 9999px white;
}

div.wpcf7-response-output {
	margin: 0;
	padding: 0;
	border: none;
}

.wpcf7-checkbox,
.wpcf7-radio {
	.small;
}

span.wpcf7-list-item {
	display: inline-block;
	margin-left: 15px;
}

.wpcf7-list-item-label {
	margin-left: 3px;

	&:before,
	&:after {
		content: none !important;
	}

	input:checked + & {
		color: @black;
	}
}

.header__search input[type="text"],
.header__search input[type="search"] {
	&::-webkit-input-placeholder { .label; color: inherit; opacity: 1; }
	&:-moz-placeholder           { .label; color: inherit; opacity: 1; }
	&::-moz-placeholder          { .label; color: inherit; opacity: 1; }
	&:-ms-input-placeholder      { .label; color: inherit; opacity: 1; }
}

.wpcf7 {
	.clearfix;
}



// Custom <select> wrap
select { border: none; }

.hygge-select-wrap {
	position: relative;
	display: inline-block;
	width: 100%;
	margin-bottom: 1.2em;
	border: 1px solid @grey-light;
	padding: 0 15px;

	.grey-mode & { border-color: @grey-label; }
	.dark-mode & { border-color: @dark-border; }

	select {
		.label;
		text-transform: @typo_label_transform !important;
		margin-bottom: 0;
		padding-right: 27px;

		-webkit-appearance: none;
		   -moz-appearance: none;
		        appearance: none;

		// force older firefox to remove the arrow
		text-indent: 0.01px;
		text-overflow: '';
	}

	// fix windows problems with dropdown
	option { color: @black; background: @white; }

	&:after {
		content: '\f078';
		font-family: 'Hygge-Icons';
		speak: none;
		font-style: normal;
		font-weight: normal;
		font-variant: normal;
		text-transform: none;
		line-height: 1;

		pointer-events: none;
		position: absolute;
		top: 50%;
		right: 0.9em;
		margin-top: -0.4em;
		font-size: 0.7em;
		color: @black;

		.dark-mode & {
			color: @white;
		}
	}

	&:before {
		content: '';
		position: absolute;
		top: 0;
		bottom: 0;
		right: 2em;
		border-left: 1px solid @grey-light;

		.grey-mode & { border-color: @grey-label; }
		.dark-mode & { border-color: @dark-border; }
	}
}



// Hygge custom animated label
.hygge-form-label {
	position: relative;
	margin: 1em 0 2em;
	padding-top: 0.5em;

	br { display: none; }

	label {
		.label;
		position: absolute;
		z-index: 1;
		top: 0;
		line-height: 50px;
		pointer-events: none;
		.transition;

		.focused& {
			top: -5px;
			.label;
		}
	}

	input,
	textarea {
		.placeholder( transparent );
		margin-bottom: 0;
	}
}



// Kill margin on last input if it is wrapped in paragraph
form p {
	&,
	& > label:last-child,
	& > label:last-child > span:last-child {
		& > input,
		& > textarea,
		& > select {
			&:last-child {
				margin-bottom: 0;
			}
		}
	}
}
